aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xscripts/build.sh8
-rwxr-xr-xscripts/unflake.sh3
2 files changed, 9 insertions, 2 deletions
diff --git a/scripts/build.sh b/scripts/build.sh
index f3661978..d6a81754 100755
--- a/scripts/build.sh
+++ b/scripts/build.sh
@@ -33,7 +33,13 @@ check() {
}
build_system() {
- _val="$(nix build ".#nixosConfigurations.$host.config.system.build.toplevel" --print-out-paths --no-link --option max-jobs 1 "$@")"
+ if [ -n "$BUILD_PAR" ]; then
+ max_jobs="8"
+ else
+ max_jobs="1"
+ fi
+
+ _val="$(nix build ".#nixosConfigurations.$host.config.system.build.toplevel" --print-out-paths --no-link --option max-jobs "$max_jobs" "$@")"
exit_val="$?"
if [ "$exit_val" -ne 0 ]; then
diff --git a/scripts/unflake.sh b/scripts/unflake.sh
index e4aa816d..f916759a 100755
--- a/scripts/unflake.sh
+++ b/scripts/unflake.sh
@@ -1,6 +1,7 @@
#! /usr/bin/env sh
-NIX_CONFIG="pure-eval = false" nix run -f https://codeberg.org/goldstein/unflake/archive/main.tar.gz unflake -- "$@"
+set -e
+NIX_CONFIG="pure-eval = false" nix run -f https://codeberg.org/goldstein/unflake/archive/main.tar.gz unflake -- "$@"
# vim: ft=sh